Problem installing GHC 6.10.2 on Debian Etch

Ian Lynagh igloo at
Thu Apr 16 08:31:05 EDT 2009

On Thu, Apr 16, 2009 at 02:05:24PM +0200, Daniel van den Eijkel wrote:
> I am trying to install GHC-6.10.2 on Debian Etch and I get the following 
> error:
>    /usr/bin/strip: /usr/local/lib/ghc-6.10.2/ghc-pkg: File format not 
> recognized

IIRC, this happens if you have binutils 2.17. Upgrading should fix it.


More information about the Glasgow-haskell-users mailing list